aboutsummaryrefslogtreecommitdiffstats
path: root/chapter5/gcc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter5/gcc.sh')
-rw-r--r--chapter5/gcc.sh90
1 files changed, 45 insertions, 45 deletions
diff --git a/chapter5/gcc.sh b/chapter5/gcc.sh
index 84879c5..a7a2d6c 100644
--- a/chapter5/gcc.sh
+++ b/chapter5/gcc.sh
@@ -1,45 +1,45 @@
-#!/bin/bash
-set -e
-
-mkdir -p mpfr gmp mpc
-tar -xf ../mpfr-*.tar.xz -C mpfr --strip-components=1
-tar -xf ../gmp-*.tar.xz -C gmp --strip-components=1
-tar -xf ../mpc-*.tar.gz -C mpc --strip-components=1
-
-case $(uname -m) in
- x86_64)
- sed -e '/m64=/s/lib64/lib/' \
- -i.orig gcc/config/i386/t-linux64
- ;;
-esac
-
-mkdir -v build
-cd build || exit 1
-
-../configure \
- --target="${LFS_TGT}" \
- --prefix="${LFS}"/tools \
- --with-glibc-version=2.11 \
- --with-sysroot="${LFS}" \
- --with-newlib \
- --without-headers \
- --enable-initfini-array \
- --disable-nls \
- --disable-shared \
- --disable-multilib \
- --disable-decimal-float \
- --disable-threads \
- --disable-libatomic \
- --disable-libgomp \
- --disable-libquadmath \
- --disable-libssp \
- --disable-libvtv \
- --disable-libstdcxx \
- --enable-languages=c,c++ &&
-
-make &&
-make -j1 install &&
-
-cd ..
-cat gcc/limitx.h gcc/glimits.h gcc/limity.h > \
- "$(dirname "$("${LFS_TGT}"-gcc -print-libgcc-file-name)")"/install-tools/include/limits.h
+#!/bin/bash
+set -e
+
+mkdir -p mpfr gmp mpc
+tar -xf ../mpfr-*.tar.xz -C mpfr --strip-components=1
+tar -xf ../gmp-*.tar.xz -C gmp --strip-components=1
+tar -xf ../mpc-*.tar.gz -C mpc --strip-components=1
+
+case $(uname -m) in
+ x86_64)
+ sed -e '/m64=/s/lib64/lib/' \
+ -i.orig gcc/config/i386/t-linux64
+ ;;
+esac
+
+mkdir -v build
+cd build || exit 1
+
+../configure \
+ --target="${LFS_TGT}" \
+ --prefix="${LFS}"/tools \
+ --with-glibc-version=2.11 \
+ --with-sysroot="${LFS}" \
+ --with-newlib \
+ --without-headers \
+ --enable-initfini-array \
+ --disable-nls \
+ --disable-shared \
+ --disable-multilib \
+ --disable-decimal-float \
+ --disable-threads \
+ --disable-libatomic \
+ --disable-libgomp \
+ --disable-libquadmath \
+ --disable-libssp \
+ --disable-libvtv \
+ --disable-libstdcxx \
+ --enable-languages=c,c++ &&
+
+make &&
+make -j1 install &&
+
+cd ..
+cat gcc/limitx.h gcc/glimits.h gcc/limity.h > \
+ "$(dirname "$("${LFS_TGT}"-gcc -print-libgcc-file-name)")"/install-tools/include/limits.h